## shapetools 1.4pl6

=== Makefile ===
# # Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for the ShapeTools
#
# $Header: Makefile[5.1] Tue Aug 23 17:34:52 1994 andy@cs.tu-berlin.de frozen $
#

# The base directory of the shape source tree.

BASE = /home/stone/shape/development

# The operating system. Supported platforms are:
#	s_aix      -- AIX (tested on IBM RS6000 with AIX 3.2.0)
#	s_hpux     -- HP/UX (tested on HP 9000 with HP/UX 9.0)
#	s_irix	   -- IRIX (tested on Silicon Graphics with IRIX 4.0.5)
#	s_mach	   -- mach (tested on NextStation with Mach 3.0)
#	s_sunos_4  -- SunOS 4 (tested on SUN 4 with SunOS 4.1.3)
#	s_svr_4    -- Solaris 2 (tested on SUN 10 with SunOS 5.1)
#	s_svr_4    -- Sys V Rel.4 (tested on a '386 machine with ESIX)
#	s_ultrix_4 -- Ultrix (tested on DECStation 5000 with Ultrix 4.2)
# For installing the toolkit on other operating systems see the
# README file in this directory.

HOSTSYSTEM = s_sunos_4

# The processor type (may be empty).

HOSTTYPE = sun4

# Preprocessor switches.
# Set "-DSYSLOG" if you want to have internal diagnostic messages
# handled by the syslog package.

SWITCHES = 

# Needed system libraries.
# As the shape toolkit uses "re_comp" (regular expressions), 
# System V machines require an additional library to be linked.
# This is usally "SYSLIBS = -lPW".

SYSLIBS = 

# Path of a subsystem relative to the root of the system hierarchy
# (e.g. vc/save)

NODEPATH = 

# A short name for the (sub)system (used for building the release ID)

NODENAME = shapeTools

# The installation base directory.
# Make sure, that the subdirectories "bin", "include", and "lib"
# exist in installation directory.

INSTALLBASE = /usr/local

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib
INSTALLSHAPELIBPATH = $(INSTALLBASE)/lib/shape
INSTALLEMACSLISPPATH = $(INSTALLBASE)/lib/emacs/lisp
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like TARGET1 TARGET2 or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET = 

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = Release   # source

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = src/atfs src/sttk src/atfstk src/shape src/vc  src/rms src/interface src/patches
#SUBSYSTEMS = src/atfs src/sttk src/atfstk src/shape src/vc src/interface src/rms src/patches tutorial

# The regular source and header files.

SOURCES = CHANGES-1.4 README LICENSE INSTALL SUPPORT shape_conf.sh Questionnaire

HEADERS = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

SHELL=/bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -O -DATFS_OWN_LOCKING
MAKELDFLAGS = -s

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) -D$(HOSTSYSTEM) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = ranlib

CONFIGSCRIPT = ./shape_conf.sh

# System libraries, local libraries and lint libraries.

LOCALLIBS = 
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

config: configure

configure:
	@$(CONFIGSCRIPT) `pwd`

# The final system building action.

targets: $(TARGET)

DOLIBRARIES = yes

DOEMACSLISP = yes

installtargets: installmanuals

installmanuals: $(MANUALS)
	@-echo "installing manuals in $(INSTALLMANPATH)"; \
	if [ "$(INSTALLMANPATH)" = "$(BASE)/man" ]; \
	then \
	  exit 0; \
	fi; \
	_manuals=`ls man/man1`; \
	for i in $$_manuals; \
	do \
          if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
             [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
          then \
            chmod u+w $(INSTALLMANPATH)/man1/$$i; \
          fi; \
          cp man/man1/$$i $(INSTALLMANPATH)/man1/$$i; \
          chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done; \
	if [ "$(DOLIBRARIES)" = yes ]; \
	then \
	  _manuals=`ls man/man3`; \
	  for i in $$_manuals; \
	  do \
            if [ -f $(INSTALLMANPATH)/man3/$$i ] && \
               [ ! -w $(INSTALLMANPATH)/man3/$$i ]; \
            then \
              chmod u+w $(INSTALLMANPATH)/man3/$$i; \
            fi; \
            cp man/man3/$$i $(INSTALLMANPATH)/man3/$$i; \
            chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man3/$$i; \
	  done; \
	  _manuals=`ls man/man5`; \
	  for i in $$_manuals; \
	  do \
            if [ -f $(INSTALLMANPATH)/man5/$$i ] && \
               [ ! -w $(INSTALLMANPATH)/man5/$$i ]; \
            then \
              chmod u+w $(INSTALLMANPATH)/man5/$$i; \
            fi; \
            cp man/man5/$$i $(INSTALLMANPATH)/man5/$$i; \
            chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man5/$$i; \
	  done; \
	fi; \
	_manuals=`ls man/man7`; \
	for i in $$_manuals; \
	do \
          if [ -f $(INSTALLMANPATH)/man7/$$i ] && \
             [ ! -w $(INSTALLMANPATH)/man7/$$i ]; \
          then \
            chmod u+w $(INSTALLMANPATH)/man7/$$i; \
          fi; \
	  cp man/man7/$$i $(INSTALLMANPATH)/man7/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man7/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET) $(ALIASES) $(OBJECTS) \
	lib/libAtFS.a.old lib/libAtFS.a lib/libsttk.old.a \
	lib/libsttk.a lib/libAtFStk.old.a lib/libAtFStk.a \
	include/atfs.h include/afsys.h include/config.h \
	include/sttk.h include/atfstk.h

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@-_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  maketarget=$(MAINTARGET); \
	  installlibpath=$(INSTALLLIBPATH); \
	  installincpath=$(INSTALLINCPATH); \
	  libpath=$(LOCALLIBPATH); \
	  includepath=$(LOCALINCLUDEPATH); \
	  if [ $$i = src/atfs -o $$i = src/sttk -o $$i = src/atfstk ]; \
	  then \
	    if [ "$(MAINTARGET)" = all ]; \
	    then \
	      maketarget=localinstall; \
	      if [ "$(INSTALLLIBPATH)" = "$(LOCALLIBPATH)" ]; \
	      then \
		installlibpath=/tmp; \
	      fi; \
	      if [ "$(INSTALLINCPATH)" = "$(LOCALINCLUDEPATH)" ]; \
	      then \
		installincpath=/tmp; \
	      fi; \
	    elif [ "$(MAINTARGET)" = install ]; \
	    then \
	      if  [ "$(DOLIBRARIES)" = no ]; \
	      then \
	        maketarget="noinstall localinstall"; \
	      else \
	        maketarget="install localinstall"; \
	      fi; \
	      if [ "$(INSTALLLIBPATH)" = "$(LOCALLIBPATH)" ]; \
	      then \
		libpath=/tmp; \
		maketarget=`echo $$maketarget | sed -e s/localinstall//`; \
	      fi; \
	      if [ "$(INSTALLINCPATH)" = "$(LOCALINCLUDEPATH)" ]; \
	      then \
		includepath=/tmp; \
		maketarget=`echo $$maketarget | sed -e s/localinstall//`; \
	      fi; \
	    else \
	      if [ "$(INSTALLLIBPATH)" = "$(LOCALLIBPATH)" ]; \
	      then \
		installlibpath=/tmp; \
	      fi; \
	      if [ "$(INSTALLINCPATH)" = "$(LOCALINCLUDEPATH)" ]; \
	      then \
		installincpath=/tmp; \
	      fi; \
	    fi; \
	  fi; \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$$installincpath \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$$installlibpath \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLEMACSLISPPATH=$(INSTALLEMACSLISPPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$$libpath \
		LOCALINCLUDEPATH=$$includepath \
		MAKE="$(MAKE)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		ALLTARGETS= \
		MAINTARGET= \
		SHAPELIBPATH=$(SHAPELIBPATH) $$maketarget ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ ! -f .configured ]; \
	then \
	  echo; echo "Initial build of shapeTools on this machine."; \
	  ./shape_conf.sh `pwd`; \
	  echo; echo "Got it ! Now call 'make' again to start system build."; \
          exit 0; \
	fi; \
	if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLEMACSLISPPATH=$(INSTALLEMACSLISPPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) all; \
	fi

+install:
	@-if [ ! -f .configured ]; \
	then \
	  echo; echo "Initial build of shapeTools on this machine."; \
	  ./shape_conf.sh `pwd`; \
	  echo; echo "Got it ! Now call 'make install' again to start system build and installation."; \
          exit 0; \
	fi; \
	if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLEMACSLISPPATH=$(INSTALLEMACSLISPPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \

=== src/atfs/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for AtFS
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[7.0] Thu Jan 20 21:10:59 1994 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/atfs

# A short name for this node system

NODENAME = AtFS

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = -DSYSLOG -DATFS_OWN_LOCKING

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = /home/stone/shape
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

LIBTARGET = libAtFS.a
BINTARGET = atfsrepair
CACHETARGET = cacheadm
SHTARGET = mkatfs

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.
VERSIONFILE = af_version.c # source
VERSIONOBJECT =	af_version.o # derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

LIBALIASES =
BINALIASES =
SHALIASES =

# The regular source and header files.

SHSOURCES = mkatfs.sh

SOURCES = afarchive.c afarlock.c afattrs.c afcache.c afcompar.c afdelta.c \
	afdeltaproc.c afenviron.c aferror.c affiles.c afkeys.c \
	aflib.c aflock.c afmemory.c afnames.c afobjcache.c afretr.c \
	afsattrs.c afsets.c afstates.c afstore.c afsymtab.c aftime.c \
	aftmpfiles.c aftransact.c afudattrs.c afvers.c \
	atfsrepair.c cacheadm.c config.c $(SHSOURCES)

HEADERS = atfs.h afsys.h afarchive.h atfsrepair.h config.h

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = man/man1/atfsrepair.1 man/man1/cacheadm.1 man/man1/mkatfs.1
MAN3 = man/man3/af_intro.3 \
	man/man3/af_attrs.3 man/man3/af_cache.3 man/man3/af_error.3 \
	man/man3/af_files.3 man/man3/af_history.3 man/man3/af_lock.3 \
	man/man3/af_misc.3 man/man3/af_note.3 man/man3/af_protect.3 \
	man/man3/af_retrieve.3 man/man3/af_sets.3 \
	man/man3/af_transact.3 man/man3/af_version.3 
MAN4 = 
MAN5 = man/man5/af_archive.5
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

LIBOBJECTS = afarchive.o afarlock.o afattrs.o afcache.o afcompar.o afdelta.o \
	afdeltaproc.o afenviron.o aferror.o affiles.o afkeys.o \
	aflib.o aflock.o afmemory.o afnames.o afobjcache.o afretr.o \
	afsattrs.o afsets.o afstates.o afstore.o afsymtab.o aftime.o \
	aftmpfiles.o aftransact.o afudattrs.o afvers.o \
	$(VERSIONOBJECT) config.o

OBJECTS = $(LIBOBJECTS) cacheadm.o atfsrepair.o


# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) -D$(HOSTSYSTEM) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS =
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

targets: $(LIBTARGET) $(BINTARGET) $(CACHETARGET) $(SHTARGET)

$(LIBTARGET): $(LIBOBJECTS)
	-ar ruv $(LIBTARGET) $(LIBOBJECTS)
	@-($(RANLIB) $(LIBTARGET)) 2> /dev/null; true
	@_aliases="$(LIBALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(LIBTARGET) to $$i; \
	  ln $(LIBTARGET) $$i; \
	done

$(BINTARGET): atfsrepair.o $(LIBTARGET) $(LOCALLIBS)
	$(CC) $(LDFLAGS) -o $(BINTARGET) atfsrepair.o $(LIBTARGET) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(BINALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(BINTARGET) to $$i; \
	  ln $(BINTARGET) $$i; \
	done

$(CACHETARGET): cacheadm.o $(LIBTARGET)
	$(CC) $(LDFLAGS) -o $(CACHETARGET) cacheadm.o $(LIBTARGET) $(SYSLIBS)
	@_aliases="$(CACHEALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(CACHETARGET) to $$i; \
	  ln $(CACHETARGET) $$i; \
	done

$(SHTARGET): $(SHSOURCES)
	@rm -f $(SHTARGET); \
	if [ $(HOSTSYSTEM) = s_ultrix ]; \
	then \
	  echo '#!/bin/sh5' > $(SHTARGET); \
	else \
	  echo '#!/bin/sh' > $(SHTARGET); \
	fi
	cat $(SHSOURCES) >> $(SHTARGET);
	@chmod +x $(SHTARGET)

localinstalltargets: $(LOCALLIBPATH)/$(LIBTARGET) \
	$(LOCALINCLUDEPATH)/atfs.h \
	$(LOCALINCLUDEPATH)/afsys.h \
	$(LOCALINCLUDEPATH)/config.h \
	$(BINTARGET) $(CACHETARGET) $(SHTARGET)

$(LOCALLIBPATH)/$(LIBTARGET): $(LIBTARGET)
	@-echo "Copying $(LIBTARGET) to $(LOCALLIBPATH)"; \
	if [ -f $(LOCALLIBPATH)/$(LIBTARGET) ] ;\
	then \
	mv -f $(LOCALLIBPATH)/$(LIBTARGET) \
	      $(LOCALLIBPATH)/$(LIBTARGET).old;\
	fi; \
	cp $(LIBTARGET) $(LOCALLIBPATH)/$(LIBTARGET); \
	chmod $(INSTALLLIBMODE) $(LOCALLIBPATH)/$(LIBTARGET); \
	($(RANLIB) $(LOCALLIBPATH)/$(LIBTARGET)) 2> /dev/null; \
	_aliases="$(LIBALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(LOCALLIBPATH)/$$i; \
	  echo "linking $(LOCALLIBPATH)/$(LIBTARGET) to $(LOCALLIBPATH)/$$i"; \
	  ln $(LOCALLIBPATH)/$(LIBTARGET) $(LOCALLIBPATH)/$$i; \
	done

$(LOCALINCLUDEPATH)/atfs.h: atfs.h
	@-echo "Copying atfs.h to $(LOCALINCLUDEPATH)"; \
	if [ -f $(LOCALINCLUDEPATH)/atfs.h ] && \
	   [ ! -w $(LOCALINCLUDEPATH)/atfs.h ]; \
	then \
	  chmod u+w $(LOCALINCLUDEPATH)/atfs.h; \
	fi; \
	cp atfs.h $(LOCALINCLUDEPATH)/atfs.h; \
	chmod $(INSTALLINCMODE) $(LOCALINCLUDEPATH)/atfs.h

$(LOCALINCLUDEPATH)/afsys.h: afsys.h
	@-echo "Copying afsys.h to $(LOCALINCLUDEPATH)"; \
	if [ -f $(LOCALINCLUDEPATH)/afsys.h ] && \
	   [ ! -w $(LOCALINCLUDEPATH)/afsys.h ]; \
	then \
	  chmod u+w $(LOCALINCLUDEPATH)/afsys.h; \
	fi; \
	cp afsys.h $(LOCALINCLUDEPATH)/afsys.h; \
	chmod $(INSTALLINCMODE) $(LOCALINCLUDEPATH)/afsys.h

$(LOCALINCLUDEPATH)/config.h: config.h
	@-echo "Copying config.h to $(LOCALINCLUDEPATH)"; \
	mv config.h config.h.orig; \
	sed -e s/_system_/$(HOSTSYSTEM)/ config.h.orig > config.h; \
	if [ -f $(LOCALINCLUDEPATH)/config.h ] && \
	   [ ! -w $(LOCALINCLUDEPATH)/config.h ]; \
	then \
	  chmod u+w $(LOCALINCLUDEPATH)/config.h; \
	fi; \
	cp config.h $(LOCALINCLUDEPATH)/config.h; \
	chmod $(INSTALLINCMODE) $(LOCALINCLUDEPATH)/config.h; \
	rm -f config.h; \
	mv config.h.orig config.h

installtargets: $(INSTALLLIBPATH)/$(LIBTARGET) $(INSTALLINCPATH)/atfs.h \
        $(INSTALLINCPATH)/afsys.h $(INSTALLINCPATH)/config.h \
	$(INSTALLBINPATH)/$(BINTARGET) $(INSTALLBINPATH)/$(CACHETARGET) \
	$(INSTALLBINPATH)/$(SHTARGET)

$(INSTALLLIBPATH)/$(LIBTARGET): $(LIBTARGET)
	@-echo "Installing $(LIBTARGET) in $(INSTALLLIBPATH)"; \
	if [ -f $(INSTALLLIBPATH)/$(LIBTARGET) ] ;\
	then \
	mv -f $(INSTALLLIBPATH)/$(LIBTARGET) \
	      $(INSTALLLIBPATH)/$(LIBTARGET).old;\
	fi; \
	cp $(LIBTARGET) $(INSTALLLIBPATH)/$(LIBTARGET); \
	chmod $(INSTALLLIBMODE) $(INSTALLLIBPATH)/$(LIBTARGET); \
	($(RANLIB) $(INSTALLLIBPATH)/$(LIBTARGET)) 2> /dev/null; \
	_aliases="$(LIBALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLLIBPATH)/$$i; \
	  echo "linking $(INSTALLLIBPATH)/$(LIBTARGET) to $(INSTALLLIBPATH)/$$i"; \
	  ln $(INSTALLLIBPATH)/$(LIBTARGET) $(INSTALLLIBPATH)/$$i; \
	done

$(INSTALLINCPATH)/atfs.h: atfs.h
	@-echo "Installing atfs.h in $(INSTALLINCPATH)"; \
	if [ -f $(INSTALLINCPATH)/atfs.h ] && \
	   [ ! -w $(INSTALLINCPATH)/atfs.h ]; \
	then \
	  chmod u+w $(INSTALLINCPATH)/atfs.h; \
	fi; \
	cp atfs.h $(INSTALLINCPATH)/atfs.h; \
	chmod $(INSTALLINCMODE) $(INSTALLINCPATH)/atfs.h

$(INSTALLINCPATH)/afsys.h: afsys.h
	@-echo "Installing afsys.h in $(INSTALLINCPATH)"; \
	if [ -f $(INSTALLINCPATH)/afsys.h ] && \
	   [ ! -w $(INSTALLINCPATH)/afsys.h ]; \
	then \
	  chmod u+w $(INSTALLINCPATH)/afsys.h; \
	fi; \
	cp afsys.h $(INSTALLINCPATH)/afsys.h; \
	chmod $(INSTALLINCMODE) $(INSTALLINCPATH)/afsys.h

$(INSTALLINCPATH)/config.h: config.h
	@-echo "Installing config.h in $(INSTALLINCPATH)"; \
	mv config.h config.h.orig; \
	sed -e s/_system_/$(HOSTSYSTEM)/ config.h.orig > config.h; \
	if [ -f $(INSTALLINCPATH)/config.h ] && \
	   [ ! -w $(INSTALLINCPATH)/config.h ]; \
	then \
	  chmod u+w $(INSTALLINCPATH)/config.h; \
	fi; \
	cp config.h $(INSTALLINCPATH)/config.h; \
	chmod $(INSTALLINCMODE) $(INSTALLINCPATH)/config.h; \
	rm -f config.h; \
	mv config.h.orig config.h

$(INSTALLBINPATH)/$(BINTARGET): $(BINTARGET)
	@-echo "Installing $(BINTARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(BINTARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(BINTARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(BINTARGET); \
	fi; \
	cp $(BINTARGET) $(INSTALLBINPATH)/$(BINTARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(BINTARGET); \
	_aliases="$(BINALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(BINTARGET) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(BINTARGET) $(INSTALLBINPATH)/$$i; \
	done

$(INSTALLBINPATH)/$(CACHETARGET): $(CACHETARGET)
	@-echo "Installing $(CACHETARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(CACHETARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(CACHETARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(CACHETARGET); \
	fi; \
	cp $(CACHETARGET) $(INSTALLBINPATH)/$(CACHETARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(CACHETARGET); \
	_aliases="$(CACHEALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \

=== src/atfstk/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for AtFS toolkit library (AtFStk)
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[7.0] Thu Jul 29 18:36:35 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/atfstk

# A short name for this node system

NODENAME = AtFStk

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = /home/stone/shape
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib
INSTALLSHAPELIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
# special treatment due to problems in ShapeTools
# installation procedure. LOCALLIBPATH may be redefined
# from above.
MYLIBPATH        = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

PROGTARGET = vbind
LIBTARGET = libAtFStk.a

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = atfstk_vers.c	# source
VERSIONOBJECT =	atfstk_vers.o	# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

SOURCES = atfstk_lib.c attrs.c version.c user.c uda.c citeattr.c \
	lock.c cache.c network.c read.c \
	bind.c bind_options.c bind_scan.c bind_rules.c bind_attr.c \
	vbind.c BindRules

HEADERS = atfstk.h bind.h

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = vbind.1
MAN3 = atfstkintro.3 atattribute.3 atbind.3 atbindrule.3 atcache.3 \
	atclass.3 atexpand.3 atlog.3 atnetwork.3 atprint.3 \
	atread.3 atuser.3 atversion.3
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = bindrules.7
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

LIBOBJECTS = atfstk_lib.o attrs.o version.o user.o uda.o citeattr.o \
	lock.o cache.o network.o read.o \
	bind.o bind_options.o bind_scan.o bind_rules.o bind_attr.o \
	$(VERSIONOBJECT)

PROGOBJECTS = vbind.o

OBJECTS = $(LIBOBJECTS) $(PROGOBJECTS)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS = $(MYLIBPATH)/libsttk.a $(MYLIBPATH)/libAtFS.a
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.

targets: $(LIBTARGET) $(PROGTARGET)

$(LIBTARGET): $(LIBOBJECTS)
	-ar ruv $(LIBTARGET) $(LIBOBJECTS)
	@-($(RANLIB) $(LIBTARGET)) 2> /dev/null; true

$(PROGTARGET): $(LOCALLIBS) $(PROGOBJECTS) $(LIBOBJECTS)
	$(CC) $(LDFLAGS) -o $(PROGTARGET) $(PROGOBJECTS) \
		$(LIBOBJECTS) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(PROGTARGET) to $$i; \
	  ln $(PROGTARGET) $$i; \
	done

localinstalltargets: $(LOCALLIBPATH)/$(LIBTARGET) \
		$(LOCALINCLUDEPATH)/atfstk.h $(PROGTARGET)

$(LOCALLIBPATH)/$(LIBTARGET): $(LIBTARGET)
	@-echo "Copying $(LIBTARGET) to $(LOCALLIBPATH)"; \
	if [ -f $(LOCALLIBPATH)/$(LIBTARGET) ] ;\
	then \
	mv -f $(LOCALLIBPATH)/$(LIBTARGET) \
	      $(LOCALLIBPATH)/$(LIBTARGET).old;\
	fi; \
	cp $(LIBTARGET) $(LOCALLIBPATH)/$(LIBTARGET); \
	chmod $(INSTALLLIBMODE) $(LOCALLIBPATH)/$(LIBTARGET); \
	($(RANLIB) $(LOCALLIBPATH)/$(LIBTARGET)) 2> /dev/null; true

$(LOCALINCLUDEPATH)/atfstk.h: atfstk.h
	@-echo "Copying atfstk.h to $(LOCALINCLUDEPATH)"; \
	if [ -f $(LOCALINCLUDEPATH)/atfstk.h ] && \
	   [ ! -w $(LOCALINCLUDEPATH)/atfstk.h ]; \
	then \
	  chmod u+w $(LOCALINCLUDEPATH)/atfstk.h; \
	fi; \
	cp atfstk.h $(LOCALINCLUDEPATH)/atfstk.h; \
	chmod $(INSTALLINCMODE) $(LOCALINCLUDEPATH)/atfstk.h

installtargets: $(INSTALLLIBPATH)/$(LIBTARGET) $(INSTALLINCPATH)/atfstk.h \
	$(INSTALLBINPATH)/$(PROGTARGET) $(INSTALLSHAPELIBPATH)/BindRules

$(INSTALLLIBPATH)/$(LIBTARGET): $(LIBTARGET)
	@-echo "installing $(LIBTARGET) in $(INSTALLLIBPATH)"; \
	if [ -f $(INSTALLLIBPATH)/$(LIBTARGET) ] ;\
	then \
	mv -f $(INSTALLLIBPATH)/$(LIBTARGET) \
	      $(INSTALLLIBPATH)/$(LIBTARGET).old;\
	fi; \
	cp $(LIBTARGET) $(INSTALLLIBPATH)/$(LIBTARGET); \
	chmod $(INSTALLLIBMODE) $(INSTALLLIBPATH)/$(LIBTARGET); \
	($(RANLIB) $(INSTALLLIBPATH)/$(LIBTARGET)) 2> /dev/null; true

$(INSTALLBINPATH)/$(PROGTARGET): $(PROGTARGET)
	@-echo "installing $(PROGTARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(PROGTARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(PROGTARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(PROGTARGET); \
	fi; \
	cp $(PROGTARGET) $(INSTALLBINPATH)/$(PROGTARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(PROGTARGET); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(PROGTARGET) to $(INSTALLBINPATH)/$$i"; \
	ln $(INSTALLBINPATH)/$(PROGTARGET) $(INSTALLBINPATH)/$$i; \
	done

$(INSTALLINCPATH)/atfstk.h: atfstk.h
	@-echo "Installing atfstk.h in $(INSTALLINCPATH)"; \
	if [ -f $(INSTALLINCPATH)/atfstk.h ] && \
	   [ ! -w $(INSTALLINCPATH)/atfstk.h ]; \
	then \
	  chmod u+w $(INSTALLINCPATH)/atfstk.h; \
	fi; \
	cp atfstk.h $(INSTALLINCPATH)/atfstk.h; \
	chmod $(INSTALLINCMODE) $(INSTALLINCPATH)/atfstk.h

$(INSTALLSHAPELIBPATH)/BindRules: BindRules
	@-echo "Installing BindRules in $(INSTALLSHAPELIBPATH)"; \
	if [ -f $(INSTALLSHAPELIBPATH)/BindRules ] && \
	   [ ! -w $(INSTALLSHAPELIBPATH)/BindRules ]; \
	then \
	  chmod u+w $(INSTALLSHAPELIBPATH)/BindRules; \
	fi; \
	cp BindRules $(INSTALLSHAPELIBPATH)/BindRules; \
	chmod $(INSTALLLIBMODE) $(INSTALLSHAPELIBPATH)/BindRules

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

noinstall: $(INSTALLBINPATH)/$(PROGTARGET) $(INSTALLSHAPELIBPATH)/BindRules

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(LIBTARGET) $(PROGTARGET) $(ALIASES) $(LIBOBJECTS) \
		$(PROGOBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

localinstall: +localinstall $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \

=== src/interface/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for interface
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[3.0] Thu Jul 29 18:37:20 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/interface

# A short name for this node system

NODENAME = shape_IF

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = /home/stone/shape
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib
INSTALLEMACSLISPPATH = $(INSTALLBASE)/lib/emacs/lisp
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET = 

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = Release	# source
VERSIONOBJECT =		# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

SOURCES = callp-err.el find-atfs.el README

HEADERS = 

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = 
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

OBJECTS = callp-err.elc find-atfs.elc $(VERSIONOBJECT)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   = 
LOCALLIBS = $(LOCALLIBPATH)/libafstk.a $(LOCALLIBPATH)/libafs.a
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.

targets: $(OBJECTS)

callp-err.elc : callp-err.el
	PWD=`pwd` emacs -batch -f batch-byte-compile callp-err.el

find-atfs.elc : find-atfs.el callp-err.elc
	PWD=`pwd` emacs -batch -l ./callp-err.elc -f batch-byte-compile find-atfs.el

installtargets: find-atfs.el callp-err.el $(OBJECTS)
	@-_components="find-atfs.el callp-err.el $(OBJECTS)"; \
	for i in $$_components; \
	do \
	  echo "Installing $$i in $(INSTALLEMACSLISPPATH)"; \
	  if [ -f $(INSTALLEMACSLISPPATH)/$$i ] && \
	     [ ! -w $(INSTALLEMACSLISPPATH)/$$i ]; \
	  then \
	    chmod u+w $(INSTALLEMACSLISPPATH)/$$i 2> /dev/null; \
	  fi; \
	  if [ -f $(INSTALLEMACSLISPPATH)/$$i ] && \
	     [ ! -w $(INSTALLEMACSLISPPATH)/$$i ]; \
	  then \
	    rm -f $(INSTALLEMACSLISPPATH)/$$i; \
	  fi; \
	  cp $$i $(INSTALLEMACSLISPPATH)/$$i; \
	  chmod $(INSTALLLIBMODE) $(INSTALLEMACSLISPPATH)/$$i; \
	done

# Build a TAGS file from all sources

tags: TAGS
TAGS: $(SOURCES)
	etags $(SOURCES)

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		ALLTARGETS= \
		MAINTARGET= \
		SHAPELIBPATH=$(SHAPELIBPATH) $(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLEMACSLISPPATH=$(INSTALLEMACSLISPPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLEMACSLISPPATH=$(INSTALLEMACSLISPPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLEMACSLISPPATH=$(INSTALLEMACSLISPPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) clean; \
	fi

=== src/patches/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for st_Patches
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[4.2] Wed Jun  8 15:35:38 1994 axel@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's source repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the source
# repository defined above (e.g. vc/save).

NODEPATH = src/patches

# A short name for this node system

NODENAME = st_Patches

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = Release		# source
VERSIONOBJECT =			# derived (if source contains program code)

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = $(BASE)
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# The regular source files.

SOURCES = vgdb-patch README.vgdb vgrep-patch vgrep-Makefile-patch \
	README.vgrep vetags-patch README.vetags

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies


# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS = $(LOCALLIBPATH)/libAtFStk.a $(LOCALLIBPATH)/libsttk.a $(LOCALLIBPATH)/libAtFS.a
LINTLIBS  =

# The following instructions are only used for vetags (see README's for
# details)

TARGET = vetags
OBJECTS = vetags.o

$(TARGET): $(LOCALLIBS) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(TARGET) to $$i; \
	  ln $(TARGET) $$i; \
	done

installtargets: $(INSTALLBINPATH)/$(TARGET)

$(INSTALLBINPATH)/$(TARGET): $(TARGET)
	@-echo "installing $(TARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET); \
	fi; \
	cp $(TARGET) $(INSTALLBINPATH)/$(TARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET) $(INSTALLBINPATH)/$$i; \
	done

vetags.c: etags.c
	-if patch < vetags-patch; \
	then \
	  mv etags.c vetags.c; \
	  mv etags.c.orig etags; \
        else \
          echo patching etags failed; \
	  exit 1; \
	fi

=== src/rms/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for shape_RMS (release management system)
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[6.1] Fri Jan 28 20:31:43 1994 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's development area.

BASE = /home/stone/shape/development

# Path of a subsystem relative to the root of the system hierarchy
# (e.g. vc/save)

NODEPATH = src/rms

# A short name for the (sub)system (used for building the release ID)

NODENAME = shape_RMS

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DSTATISTICS)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = /home/stone/shape
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib
INSTALLSHAPELIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 444
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like TARGET1 TARGET2 or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET1 = sfind
TARGET2 = lastrelease

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = Release	# source
VERSIONOBJECT =		# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

SOURCE1 = sfind.sh
SOURCE2 = lastrelease.sh
SOURCES = $(SOURCE1) $(SOURCE2)

HEADERS = Makefile.tmpl Shapefile.tmpl Release.tmpl release.c.tmpl \
	stdconf stdrules stdtargets stdvar \
	user_at cptree gen_rel_id mkpdir

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Interface header files. These are the header files to be installed
# together with eg. a library. $(IFHEADERS) usually is a subset of
# $(HEADERS).

IFHEADERS = $(HEADERS)

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = shape_RMS.1 shape_build.1 shape_depend.1 shape_patch.1 \
	shape_releas.1 shape_tar.1 sfind.1
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = shape_stdrul.7 shape_stdvar.7 shape_tmpl.7
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are autamatically produced during
# a build process should be listed here.

OBJECTS = $(VERSIONOBJECT)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS =
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.

targets: $(TARGET1) $(TARGET2)

$(TARGET1): $(SOURCE1)
	@rm -f $(TARGET1); \
	if [ $(HOSTSYSTEM) = s_ultrix ]; \
	then \
	  echo '#!/bin/sh5' > $(TARGET1); \
	else \
	  echo '#!/bin/sh' > $(TARGET1); \
	fi
	cat $(SOURCE1) >> $(TARGET1);
	@chmod +x $(TARGET1)

$(TARGET2): $(SOURCE2)
	@rm -f $(TARGET2); \
	if [ $(HOSTSYSTEM) = s_ultrix ]; \
	then \
	  echo '#!/bin/sh5' > $(TARGET2); \
	else \
	  echo '#!/bin/sh' > $(TARGET2); \
	fi
	cat $(SOURCE2) >> $(TARGET2);
	@chmod +x $(TARGET2)

installtargets: installincludes $(INSTALLBINPATH)/$(TARGET1) $(INSTALLBINPATH)/$(TARGET2)

$(INSTALLBINPATH)/$(TARGET1): $(TARGET1)
	@echo "Installing $(TARGET1) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET1) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET1) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET1); \
	fi; \
	cp $(TARGET1) $(INSTALLBINPATH)/$(TARGET1); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET1); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET1) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET1) $(INSTALLBINPATH)/$$i; \
	done

$(INSTALLBINPATH)/$(TARGET2): $(TARGET2)
	@echo "Installing $(TARGET2) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET2) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET2) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET2); \
	fi; \
	cp $(TARGET2) $(INSTALLBINPATH)/$(TARGET2); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET2); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET2) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET2) $(INSTALLBINPATH)/$$i; \
	done

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "Installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done; \
	_manuals="$(MAN7)"; \
	for i in $$_manuals; \
	do \
	  echo "Installing $$i in $(INSTALLMANPATH)/man7"; \
	  if [ ! -w $(INSTALLMANPATH)/man7/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man7/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man7/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man7/$$i; \
	done

installincludes: $(IFHEADERS)
	@-_components="$(IFHEADERS)"; \
	for i in $$_components; \
	do \
	  echo "Installing $$i in $(INSTALLSHAPELIBPATH)"; \
	  if [ -f $(INSTALLSHAPELIBPATH)/$$i ] && \
	     [ ! -w $(INSTALLSHAPELIBPATH)/$$i ]; \
	  then \
	    chmod u+w $(INSTALLSHAPELIBPATH)/$$i 2> /dev/null; \
	  fi; \
	  if [ -f $(INSTALLSHAPELIBPATH)/$$i ] && \
	     [ ! -w $(INSTALLSHAPELIBPATH)/$$i ]; \
	  then \
	    rm -f $(INSTALLSHAPELIBPATH)/$$i; \
	  fi; \
	  cp $$i $(INSTALLSHAPELIBPATH)/$$i; \
	  if [ $$i = "user_at" ] || [ $$i = "cptree" ] || \
	     [ $$i = "gen_rel_id" ] || [ $$i = "mkpdir" ]; \
	  then \
	    chmod $(INSTALLBINMODE) $(INSTALLSHAPELIBPATH)/$$i; \
	  else \
	    chmod $(INSTALLLIBMODE) $(INSTALLSHAPELIBPATH)/$$i; \
	  fi; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET1) $(TARGET2) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		ALLTARGETS= \
		MAINTARGET= \
		SHAPELIBPATH=$(SHAPELIBPATH) $(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

localinstall: +localinstall $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLSHAPELIBPATH=$(INSTALLSHAPELIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		VERSIONBINDING=$(VERSIONBINDING) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		SWITCHES="$(SWITCHES)" \
		LOCALLIBPATH=$(LOCALLIBPATH) \

=== src/shape/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for shape
#
# Author: Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[8.0] Fri Jan 28 20:28:08 1994 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/shape

# A short name for this node system

NODENAME = shape_CM

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 
#SWITCHES = -DMEMDEBUG

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = $(BASE)
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET = shape

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = version.c	# source
VERSIONOBJECT =	version.o # derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

# VARSRC and VAROBJ will be overridden by certain variants as appropriate

SOURCES = dkey.c error.c files.c hash.c inherit.c macro.c main.c \
	misc.c produce.c rule.c shapeopt.c \
	sighand.c std.c strbuf.c varsec.c \
	parser.c mfiles.c utils.c queues.c $(VARSRC)

HEADERS = shape.h strbuf.h parser.h mfiles.h mffuncs.h $(VARHDR)

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = shape.1
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

OBJECTS = main.o hash.o dkey.o macro.o rule.o files.o error.o \
	produce.o std.o varsec.o misc.o sighand.o \
	shapeopt.o inherit.o strbuf.o \
	mfiles.o utils.o queues.o parser.o $(VERSIONOBJECT) \
	$(VAROBJ)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = gcc -traditional
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS = $(VARLIBS) $(LOCALLIBPATH)/libAtFStk.a\
	$(LOCALLIBPATH)/libsttk.a $(LOCALLIBPATH)/libAtFS.a
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.

targets: $(TARGET)

$(TARGET): $(LOCALLIBS) $(VARLIBS) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LOCALLIBS) $(VARLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(TARGET) to $$i; \
	  ln $(TARGET) $$i; \
	done

# Construction of a library would look like:
#$(TARGET): $(OBJECTS)
#	ar ruv $(TARGET) $(OBJECTS); \
#	$(RANLIB) $(TARGET)

installtargets: $(INSTALLBINPATH)/$(TARGET)

$(INSTALLBINPATH)/$(TARGET): $(TARGET)
	@-echo "installing $(TARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET); \
	fi; \
	cp $(TARGET) $(INSTALLBINPATH)/$(TARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET) $(INSTALLBINPATH)/$$i; \
	done

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done


# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" clean; \
	fi

=== src/sttk/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for ShapeTools toolkit library (sttk)
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[4.0] Fri Jul 30 16:00:00 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/sttk

# A short name for this node system

NODENAME = sttk

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = /home/stone/shape
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

LIBTARGET = libsttk.a

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = sttk_version.c	# source
VERSIONOBJECT =	sttk_version.o	# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

SOURCES = strtab.c files.c kbdio.c mktime.c parseargs.c \
		ststring.c sighand.c call.c

HEADERS = sttk.h

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 =
MAN3 = sttkintro.3 stcall.3 stparseargs.3 stsignal.3 ststring.3 \
	sttime.3 sttmpfiles.3 sttransaction.3 stuserio.3
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

LIBOBJECTS = strtab.o files.o kbdio.o mktime.o parseargs.o \
		ststring.o sighand.o call.o $(VERSIONOBJECT)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS =
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.

targets: $(LIBTARGET)

$(LIBTARGET): $(LIBOBJECTS)
	-ar ruv $(LIBTARGET) $(LIBOBJECTS)
	@-($(RANLIB) $(LIBTARGET)) 2> /dev/null; true

localinstalltargets: $(LOCALLIBPATH)/$(LIBTARGET) \
		$(LOCALINCLUDEPATH)/sttk.h

$(LOCALLIBPATH)/$(LIBTARGET): $(LIBTARGET)
	@-echo "Copying $(LIBTARGET) to $(LOCALLIBPATH)"; \
	if [ -f $(LOCALLIBPATH)/$(LIBTARGET) ] ;\
	then \
	mv -f $(LOCALLIBPATH)/$(LIBTARGET) \
	      $(LOCALLIBPATH)/$(LIBTARGET).old;\
	fi; \
	cp $(LIBTARGET) $(LOCALLIBPATH)/$(LIBTARGET); \
	chmod $(INSTALLLIBMODE) $(LOCALLIBPATH)/$(LIBTARGET); \
	($(RANLIB) $(LOCALLIBPATH)/$(LIBTARGET)) 2> /dev/null; true

$(LOCALINCLUDEPATH)/sttk.h: sttk.h
	@-echo "Copying sttk.h to $(LOCALINCLUDEPATH)"; \
	if [ -f $(LOCALINCLUDEPATH)/sttk.h ] && \
	   [ ! -w $(LOCALINCLUDEPATH)/sttk.h ]; \
	then \
	  chmod u+w $(LOCALINCLUDEPATH)/sttk.h; \
	fi; \
	cp sttk.h $(LOCALINCLUDEPATH)/sttk.h; \
	chmod $(INSTALLINCMODE) $(LOCALINCLUDEPATH)/sttk.h

installtargets: $(INSTALLLIBPATH)/$(LIBTARGET) \
		$(INSTALLINCPATH)/sttk.h

$(INSTALLLIBPATH)/$(LIBTARGET): $(LIBTARGET)
	@-echo "Installing $(LIBTARGET) in $(INSTALLLIBPATH)"; \
	if [ -f $(INSTALLLIBPATH)/$(LIBTARGET) ] ;\
	then \
	mv -f $(INSTALLLIBPATH)/$(LIBTARGET) \
	      $(INSTALLLIBPATH)/$(LIBTARGET).old;\
	fi; \
	cp $(LIBTARGET) $(INSTALLLIBPATH)/$(LIBTARGET); \
	chmod $(INSTALLLIBMODE) $(INSTALLLIBPATH)/$(LIBTARGET); \
	($(RANLIB) $(INSTALLLIBPATH)/$(LIBTARGET)) 2> /dev/null; true

$(INSTALLINCPATH)/sttk.h: sttk.h
	@-echo "Installing sttk.h in $(INSTALLINCPATH)"; \
	if [ -f $(INSTALLINCPATH)/sttk.h ] && \
	   [ ! -w $(INSTALLINCPATH)/sttk.h ]; \
	then \
	  chmod u+w $(INSTALLINCPATH)/sttk.h; \
	fi; \
	cp sttk.h $(INSTALLINCPATH)/sttk.h; \
	chmod $(INSTALLINCMODE) $(INSTALLINCPATH)/sttk.h

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(LIBTARGET) $(ALIASES) $(LIBOBJECTS)

# Do nothing

noinstall:
	@true

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

localinstall: +localinstall $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" install; \
	fi

+localinstall:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems localinstalltargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(BASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" localinstall; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(BASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" clean; \
	fi

=== src/vc/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for vc
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[5.0] Fri Jul 30 17:56:22 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/vc

# A short name for this node system

NODENAME = shape_VC

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = /usr/local
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET =

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = shape_VC		# source
VERSIONOBJECT =		# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = atfsit rcs2atfs retrv save scripts vadm vfind vl

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

SOURCES =

HEADERS = 

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = 
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

OBJECTS = $(VERSIONOBJECT)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS =
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.

targets: $(TARGET)

installtargets: $(INSTALLBINPATH)/$(TARGET)

$(INSTALLBINPATH)/$(TARGET): $(TARGET)
	@echo "installing $(TARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET); \
	fi; \
	cp $(TARGET) $(INSTALLBINPATH)/$(TARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET) $(INSTALLBINPATH)/$$i; \
	done

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	@-rm -f $(TARGET) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		LOCALINCLUDEPATH=$(LOCALINCLUDEPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" clean; \
	fi

=== src/vc/atfsit/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for atfsit
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[4.0] Fri Jul 30 17:39:32 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/vc/atfsit

# A short name for this node system

NODENAME = atfsit

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = $(BASE)
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET = atfsit

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = atfsitvers.c	# source
VERSIONOBJECT =	atfsitvers.o	# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

SOURCES = atfsit.c 

HEADERS = 

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = atfsit.1
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

OBJECTS = atfsit.o $(VERSIONOBJECT)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS = 
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.
 
targets: $(TARGET)

$(TARGET): $(LOCALLIBS) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(TARGET) to $$i; \
	  ln $(TARGET) $$i; \
	done

installtargets: $(INSTALLBINPATH)/$(TARGET)

$(INSTALLBINPATH)/$(TARGET): $(TARGET)
	@-echo "installing $(TARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET); \
	fi; \
	cp $(TARGET) $(INSTALLBINPATH)/$(TARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET) $(INSTALLBINPATH)/$$i; \
	done

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" clean; \
	fi

=== src/vc/rcs2atfs/Makefile ===
## Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for rcs2atfs
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[3.0] Fri Jul 30 17:44:17 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/vc/rcs2atfs

# A short name for this node system

NODENAME = rcs2atfs

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = $(BASE)
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET1 = rcs2atfs
TARGET2 = utime

TARGET = $(TARGET1) $(TARGET2)

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = 	version.c
VERSIONOBJECT =	version.o

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = 

# The regular source and header files.

RSOURCES = afind.c main.c out.c readin.c utils.c
USOURCES = utime.c 
SOURCES = $(RSOURCES) $(USOURCES)

HEADERS = functions.h rcs2atfs.h

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = rcs2atfs.1 utime.1
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

OBJECTS1 = afind.o main.o out.o readin.o utils.o $(VERSIONOBJECT)
OBJECTS2 = utime.o

OBJECTS = $(OBJECTS1) $(OBJECTS2)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS = $(LOCALLIBPATH)/libsttk.a $(LOCALLIBPATH)/libAtFS.a
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

funcs:	$(RSOURCES) rcs2atfs.h $(VERSIONFILE)
	touch functions.h
	cextract -I$(INCLUDEPATH) +scm -E -o new_functions.h $(RSOURCES) \
		$(VERSIONFILE)
	mv new_functions.h functions.h

tags:	$(SOURCES) $(HEADERS) $(VERSIONFILE)
	etags $(SOURCES) $(HEADERS) $(VERSIONFILE) \
	$(PARTIALRELEASEBASE)/src/atfs/*.c $(PARTIALRELEASEBASE)/src/atfstk/*.c

# The final system building action.

targets: $(TARGET1) $(TARGET2)

$(TARGET1): $(LOCALLIBS) $(OBJECTS1)
	$(CC) $(LDFLAGS) -o $(TARGET1) $(OBJECTS1) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(TARGET1) to $$i; \
	  ln $(TARGET1) $$i; \
	done

$(TARGET2): $(LOCALLIBS) $(OBJECTS2)
	$(CC) $(LDFLAGS) -o $(TARGET2) $(OBJECTS2) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(TARGET2) to $$i; \
	  ln $(TARGET2) $$i; \
	done

# Construction of a library would look like:
#$(TARGET): $(OBJECTS)
#	@ar ruv $(TARGET) $(OBJECTS); \
#	($(RANLIB) $(TARGET)) 2> /dev/null

installtargets: $(INSTALLBINPATH)/$(TARGET1) $(INSTALLBINPATH)/$(TARGET2)

$(INSTALLBINPATH)/$(TARGET1): $(TARGET1)
	@-echo "installing $(TARGET1) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET1) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET1) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET1); \
	fi; \
	cp $(TARGET1) $(INSTALLBINPATH)/$(TARGET1); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET1); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET1) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET1) $(INSTALLBINPATH)/$$i; \
	done

$(INSTALLBINPATH)/$(TARGET2): $(TARGET2)
	@-echo "installing $(TARGET2) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET2) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET2) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET2); \
	fi; \
	cp $(TARGET2) $(INSTALLBINPATH)/$(TARGET2); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET2); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET2) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET2) $(INSTALLBINPATH)/$$i; \
	done

# Installing a library
#installtargets: $(INSTALLLIBPATH)/$(TARGET) installincludes
#
#$(INSTALLLIBPATH)/$(TARGET): $(TARGET)
#	@-echo "installing $(TARGET) in $(INSTALLLIBPATH)"; \
#	if [ -f $(INSTALLLIBPATH)/$(TARGET) ] ;\
#	then \
#	mv -f $(INSTALLLIBPATH)/$(TARGET) \
#	      $(INSTALLLIBPATH)/$(TARGET).old;\
#	fi; \
#	cp $(TARGET) $(INSTALLLIBPATH)/$(TARGET); \
#	chmod $(INSTALLLIBMODE) $(INSTALLLIBPATH)/$(TARGET); \
#	($(RANLIB) $(INSTALLLIBPATH)/$(TARGET)) 2> /dev/null

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" clean; \
	fi

=== src/vc/retrv/Makefile ===
# # Copyright (C) 1993,1994 by the author(s).
# 
# This software is published in the hope that it will be useful, but
# WITHOUT ANY WARRANTY for any part of this software to work correctly
# or as described in the manuals. See the ShapeTools Public License
# for details.
#
# Permission is granted to use, copy, modify, or distribute any part of
# this software but only under the conditions described in the ShapeTools 
# Public License. A copy of this license is supposed to have been given
# to you along with ShapeTools in a file named LICENSE. Among other
# things, this copyright notice and the Public License must be
# preserved on all copies.

#
# Makefile for retrv
#
# Authors: Andreas Lampen (Andreas.Lampen@cs.tu-berlin.de)
#          Axel Mahler (Axel.Mahler@cs.tu-berlin.de)
#
# $Header: Makefile[6.0] Fri Jul 30 17:47:08 1993 andy@cs.tu-berlin.de frozen $
#

# --------------------------------------------------------------------
#		locations and general macros
# --------------------------------------------------------------------

# The base directory of the project's repository area.

BASE = /home/stone/shape/development

# Path to this node system relative to the root of the
# repository area defined above (e.g. src/vc/save).

NODEPATH = src/vc/retrv

# A short name for this node system

NODENAME = retrv

# The operating system, $(TARGET) shall be built for.

HOSTSYSTEM = s_sunos_4

# The processor type.

HOSTTYPE = sun4

# Preprocessor switches. (eg. -DDEBUG)

SWITCHES = 

# Locations and modes for the installation of executables, header
# files, libraries and manuals.

INSTALLBASE = $(BASE)
INSTALLBINPATH = $(INSTALLBASE)/bin
INSTALLBINMODE = 755
INSTALLINCPATH = $(INSTALLBASE)/include
INSTALLINCMODE = 444
INSTALLLIBPATH = $(INSTALLBASE)/lib/shape
INSTALLLIBMODE = 644
INSTALLMANPATH = $(INSTALLBASE)/man
INSTALLMANMODE = 444

# Directories, where local libraries and header files are to be
# installed for project wide use.

LOCALLIBPATH     = $(BASE)/lib
LOCALINCLUDEPATH = $(BASE)/include

# --------------------------------------------------------------------
#		the system's components
# --------------------------------------------------------------------

#
# The system (program, library, etc.) to be built. If you want to
# manage multiple programs, you should introduce multiple targets
# (like PROGTARGET LIBTARGET or any better names). In this case you 
# have to adjust the system building actions accordingly.

TARGET = retrv

# The release number generator. The version number of this file will
# be used as release identifier for the whole system.

VERSIONFILE = retrversion.c	# source
VERSIONOBJECT =	retrversion.o	# derived (if source contains program code)

# The names of the subdirectories containing subsystems which are also
# to be built.

SUBSYSTEMS = 

# Aliases for (filesystem links to) $(TARGET).

ALIASES = vcat

# The regular source and header files.

SOURCES = retrv.c doretrv.c 

HEADERS =

# Auxiliary source and header files that are not genuine part of the
# system (eg. a test environment). These will also be processed on
# system building, but will *not* be included in releases.

AUXSOURCES = 

AUXHEADERS = 

# Sources of variant source components stored under equal names in
# different locations. During system builds, only one of each (equally
# named) group is chosen. Source distributions need all of them.

VARIANTSOURCES =

VARIANTHEADERS =

# The manuals

MANUALS = $(MAN1) $(MAN3) $(MAN4) $(MAN5) $(MAN6) $(MAN7) $(MAN8)
MAN1 = retrv.1 vcat.1
MAN3 = 
MAN4 = 
MAN5 = 
MAN6 = 
MAN7 = 
MAN8 = 

# All source components of the system (should not be changed)

COMPONENTS = $(SOURCES) $(HEADERS) $(MANUALS) Shapefile Makefile Dependencies

# The derived files. All files, that are automatically produced during
# a build process should be listed here.

OBJECTS = retrv.o doretrv.o $(VERSIONOBJECT)

# --------------------------------------------------------------------
#		tools, flags, libraries etc.
# --------------------------------------------------------------------

MAKE = make
SHELL = /bin/sh

INCLUDES = -I$(LOCALINCLUDEPATH)
MAKECFLAGS = -g
MAKELDFLAGS = -g

CC = cc
CFLAGS  = $(INCLUDES) $(MAKECFLAGS) $(SWITCHES)
LDFLAGS = $(MAKELDFLAGS)

RANLIB  = /usr/bin/ranlib

# System libraries, local libraries and lint libraries.

SYSLIBS   =
LOCALLIBS = $(LOCALLIBPATH)/libAtFStk.a $(LOCALLIBPATH)/libsttk.a $(LOCALLIBPATH)/libAtFS.a
LINTLIBS  =

# --------------------------------------------------------------------
#			the targets
# --------------------------------------------------------------------

# The default action (do not change)

all: +all $(ALLTARGETS)

# The final system building action.
 
targets: $(TARGET)

$(TARGET): $(LOCALLIBS) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LOCALLIBS) $(SYSLIBS)
	@_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $$i; \
	  echo linking $(TARGET) to $$i; \
	  ln $(TARGET) $$i; \
	done

installtargets: $(INSTALLBINPATH)/$(TARGET)

$(INSTALLBINPATH)/$(TARGET): $(TARGET)
	@-echo "installing $(TARGET) in $(INSTALLBINPATH)"; \
	if [ -f $(INSTALLBINPATH)/$(TARGET) ] && \
	   [ ! -w $(INSTALLBINPATH)/$(TARGET) ]; \
	then \
	  chmod u+w $(INSTALLBINPATH)/$(TARGET); \
	fi; \
	cp $(TARGET) $(INSTALLBINPATH)/$(TARGET); \
	chmod $(INSTALLBINMODE) $(INSTALLBINPATH)/$(TARGET); \
	_aliases="$(ALIASES)"; \
	for i in $$_aliases; \
	do \
	  rm -f $(INSTALLBINPATH)/$$i; \
	  echo "linking $(INSTALLBINPATH)/$(TARGET) to $(INSTALLBINPATH)/$$i"; \
	  ln $(INSTALLBINPATH)/$(TARGET) $(INSTALLBINPATH)/$$i; \
	done

installmanuals: $(MANUALS)
	@-_manuals="$(MAN1)"; \
	for i in $$_manuals; \
	do \
	  echo "installing $$i in $(INSTALLMANPATH)/man1"; \
	  if [ -f $(INSTALLMANPATH)/man1/$$i ] && \
	     [ ! -w $(INSTALLMANPATH)/man1/$$i ]; \
	  then \
	    chmod u+w $(INSTALLMANPATH)/man1/$$i; \
	  fi; \
	  cp $$i $(INSTALLMANPATH)/man1/$$i; \
	  chmod $(INSTALLMANMODE) $(INSTALLMANPATH)/man1/$$i; \
	done

# The cleanup action. Removes all automatically rederivable files.

doclean:
	rm -f $(TARGET) $(ALIASES) $(OBJECTS)

# Recursive builds. Performed *before* building $(TARGET)

subsystems:
	@_subsystems="$(SUBSYSTEMS)"; \
	for i in $$_subsystems; \
	do \
	  echo cd $$i; \
	  (cd $$i; $(MAKE) \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" \
		BINDDEFAULT=$(BINDDEFAULT) \
		BINDINSTALL=$(BINDINSTALL) \
		COMPILER=$(COMPILER) \
		QUALITY=$(QUALITY) \
		TOTALRELEASEBASE=$(TOTALRELEASEBASE) \
		PARTIALRELEASEBASE=$(PARTIALRELEASEBASE) \
		SHAPELIBPATH=$(SHAPELIBPATH) \
		ALLTARGETS= \
		MAINTARGET= \
		$(MAINTARGET) ); \
	done

# --------------------------------------------------------------------
#			internals (do not modify)
# --------------------------------------------------------------------

install: +install $(ALLTARGETS)

clean: +clean $(ALLTARGETS)

+all:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems targets" MAINTARGET=all \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" all; \
	fi

+install:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems installtargets" \
		MAINTARGET=install \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" install; \
	fi

+clean:
	@-if [ -n "$(ALLTARGETS)" ]; \
	then : ; \
	else \
	  $(MAKE) ALLTARGETS="subsystems doclean" MAINTARGET=clean \
		BASE=$(BASE) \
		HOSTSYSTEM=$(HOSTSYSTEM) \
		HOSTTYPE=$(HOSTTYPE) \
		INSTALLBASE=$(INSTALLBASE) \
		INSTALLBINPATH=$(INSTALLBINPATH) \
		INSTALLBINMODE=$(INSTALLBINMODE) \
		INSTALLINCPATH=$(INSTALLINCPATH) \
		INSTALLINCMODE=$(INSTALLINCMODE) \
		INSTALLLIBPATH=$(INSTALLLIBPATH) \
		INSTALLLIBMODE=$(INSTALLLIBMODE) \
		INSTALLMANPATH=$(INSTALLMANPATH) \
		INSTALLMANMODE=$(INSTALLMANMODE) \
		LOCALLIBPATH=$(LOCALLIBPATH) \
		MAKE="$(MAKE)" \
		SHELL="$(SHELL)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		RANLIB="$(RANLIB)" \
		SYSLIBS="$(SYSLIBS)" clean; \
	fi

=== debian/changelog ===
shapetools (1.4pl6-17) unstable; urgency=medium

  * Build with -std=gnu11. Closes: #1075506.
  * Fix build with newer autoconf.
  * Build using debhelper-compat 13.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 10:23:31 +0100

shapetools (1.4pl6-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062894

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:48:26 +0000

shapetools (1.4pl6-16) unstable; urgency=medium

  * Upgrade to 3.0 source format. Closes: #1007676.
  * Don't embed build path in sttk.h (Vagrant Cascadian). Closes: #1020754.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2023 16:03:32 +0200

shapetools (1.4pl6-15) unstable; urgency=medium

  * Fix build failure with glibc 2.32 (Logan Rosen). Closes: #986770.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 17:58:03 +0100

shapetools (1.4pl6-14) unstable; urgency=medium

  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 16:04:04 +0100

shapetools (1.4pl6-13) unstable; urgency=medium

  * Bump debhelper level to 5. Closes: #800249.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Oct 2015 01:08:56 +0200

shapetools (1.4pl6-12) unstable; urgency=medium

  * Update standards version.
  * Fix some lintian warnings.
  * Build using dpkg-buildflags.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Aug 2015 10:25:36 +0200

shapetools (1.4pl6-11) unstable; urgency=low

  * Fix build failure with eglibc-2.10. Closes: #552823.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Dec 2009 16:59:46 +0100

shapetools (1.4pl6-10) unstable; urgency=low

  * Fix build error with glibc-2.7 on amd64. Closes: #454875.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Dec 2007 08:08:03 +0000

shapetools (1.4pl6-9) unstable; urgency=low

  * Fix shapetools package dependency.
  * Add watch file.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 20:22:19 +0200

shapetools (1.4pl6-8) unstable; urgency=low

  * Fix implicit pointer conversions (closes: #226648).

 -- Matthias Klose <doko@debian.org>  Thu,  8 Jan 2004 07:02:12 +0100

shapetools (1.4pl6-7) unstable; urgency=low

  * Fix vp(1) man page (closes: #210618).
  * Improve package description (closes: #209429).
  * Add missing man pages.
  * Move shared libraries to its own package (closes: #145888).

 -- Matthias Klose <doko@debian.org>  Mon, 22 Sep 2003 22:25:32 +0200

shapetools (1.4pl6-6) unstable; urgency=low

  * Add symlinks for all names in man pages (closes: #99552, #99539).

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2001 21:00:58 +0200

shapetools (1.4pl6-5) unstable; urgency=low

  * Recompiled with glibc-2.2.
  * Updated standards version.
  * Fix build failure (#84589).

 -- Matthias Klose <doko@debian.org>  Fri, 13 Apr 2001 01:31:40 +0200

shapetools (1.4pl6-4) unstable; urgency=low

  * usr/doc -> usr/share/doc transition.
  * Install man pages in /zsr/share/man.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sun,  5 Dec 1999 18:26:46 +0100

shapetools (1.4pl6-3) frozen unstable; urgency=low

  * Link shared libraries against libc.
  * debian/control: Fix typo.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 26 Nov 1998 22:40:11 +0200

shapetools (1.4pl6-2) frozen unstable; urgency=low

  * Changed config.h to acconfig.h in _all_ source files (fixes #28185),
    so that the package can be compiled without installed atfs-dev.
  * Use cc instead of egcc for compiling.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 19 Oct 1998 15:25:52 +0200

shapetools (1.4pl6-1) unstable; urgency=low

  * Initial Release.
  * Applied various patches collected ...

 -- Matthias Klose <doko@cs.tu-berlin.de>  Fri,  4 Sep 1998 15:18:43 +0200

=== debian/control ===
Source: shapetools
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.3
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)

Package: shapetools
Section: devel
Architecture: any
Depends: atfs (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Configuration and Release management using AtFS
 ShapeTools is a collection of programs to support software
 configuration management in an UNIX environment. It consists of a set
 of version and attribute control commands, and a configuration
 interpreter and build tool ("shape"). The toolkit is integrated on top
 of the Attributed File System (AtFS).
 .
 ShapeTools is designed to live meaningfully together
 with any other UNIX tool operating on regular files. This distribution
 also contains a prototype for a comprehensive change control and
 release management system designed to manage the evolution of system
 releases in multi programmer software development efforts.
Homepage: http://swt.cs.tu-berlin.de/~shape/index.html

Package: atfs
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Attributed File System (AtFS)
 AtFS is a storage system supporting multiple versions of files and
 associating an arbitrary number of application defined attributes
 of the form "name=value" with each version. AtFS comes as a function
 library that is meant as an extension to the UNIX file system. It does
 this without the need for kernel modifications and without imposing any
 restrictions to existing file system applications. It is part of ShapeTools,
 a software configuration management system.
Homepage: http://swt.cs.tu-berlin.de/~shape/index.html

Package: libatfs1t64
Provides: ${t64:Provides}
Replaces: libatfs1
Breaks: libatfs1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Attributed File System (AtFS runtime libraries)
 AtFS is a storage system supporting multiple versions of files and
 associating an arbitrary number of application defined attributes
 of the form "name=value" with each version. It is part of ShapeTools, a
 software configuration management system.
 .
 This package contains the runtime libararies.
Homepage: http://swt.cs.tu-berlin.de/~shape/index.html

Package: atfs-dev
Section: libdevel
Architecture: any
Depends: atfs (= ${binary:Version}), ${misc:Depends}
Description: Attributed File System (AtFS development libraries)
 AtFS is a storage system supporting multiple versions of files and
 associating an arbitrary number of application defined attributes
 of the form "name=value" with each version. It is part of ShapeTools, a
 software configuration management system.
 .
 This package contains the development files needed to compile and link
 programs with AtFS.
Homepage: http://swt.cs.tu-berlin.de/~shape/index.html

=== debian/rules ===
#! /usr/bin/make -f
# -*- mode: makefile -*-
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SHELL	= /bin/bash

p_shape		= shapetools
p_atfslib	= libatfs1t64
p_atfs		= atfs
p_atfsdev	= atfs-dev

d		= debian/tmp
d_shape		= debian/$(p_shape)
d_atfslib	= debian/$(p_atfslib)
d_atfs		= debian/$(p_atfs)
d_atfsdev	= debian/$(p_atfsdev)

dh_compat2 := $(shell dpkg --compare-versions "$$(dpkg-query -f '$${Version}' -W debhelper)" lt 9.20150811ubuntu2 && echo DH_COMPAT=2)

dirs_shape = \
	usr/share/doc \
	usr/bin \
	usr/lib/shape \
	usr/include \
	usr/share/man/{man1,man3,man5,man7}
files_shape = \
	usr/bin/{lastrelease,sfind,shape} \
	usr/share/man/man1/{lastrelease,sfind,shape} \
	usr/lib/shape/*

dirs_atfslib = \
	usr/share/doc/$(p_atfslib) \
	usr/lib/shape \
	usr/share/man/man7
files_atfslib = \
	usr/lib/lib*.so.* \
	usr/lib/shape/BindRules \
	usr/share/man/man7/bindrules.7

dirs_atfs = \
	usr/share/doc/$(p_atfs) \
	usr/lib/shape \
	usr/share/man/{man1,man5}
files_atfs = \
	usr/bin/{vbind,vcat,vdiff,vgrep,vegrep,vfgrep,vfind,vl,vlog,vp} \
	usr/bin/{retrv,Save,save,vsave} \
	usr/bin/{accs,frze,publ,sbmt,vadm,vattr,vrm} \
	usr/bin/{atfsit,atfsrepair,cacheadm,cphist,mkatfs,rmhist} \
	usr/bin/{rcs2atfs,utime} \
	usr/share/man/man1/{vbind,vcat,vdiff,vgrep,vegrep,vfgrep,vfind,vl,vlog,vp}.1 \
	usr/share/man/man1/{retrv,Save,save,vsave}.1 \
	usr/share/man/man1/{accs,frze,publ,sbmt,vadm,vattr,vrm}.1 \
	usr/share/man/man1/{atfsit,atfsrepair,cacheadm,mkatfs}.1 \
	usr/share/man/man1/{rcs2atfs,utime}.1 \
	usr/share/man/man1/{cphist,rmhist}.1

dirs_atfsdev = \
	usr/share/doc \
	usr/lib \
	usr/include \
	usr/share/man/man3
files_atfsdev = \
	usr/lib/lib*.a \
	usr/lib/lib*.so \
	usr/include/* \
	usr/share/man/man3

v_atfs	= 1.71
v_atfstk= 7.0
v_sttk	= 1.7

CC := gcc -std=gnu11
cflags := $(shell dpkg-buildflags --get CFLAGS; dpkg-buildflags --get CPPFLAGS) \
	-fno-strict-aliasing \
	-Wno-unused-result -Wno-implicit-int -Wno-discarded-qualifiers \
	-Wno-int-to-pointer-cast -Wno-pointer-to-int-cast \
	-Wno-old-style-definition -Wno-incompatible-pointer-types
ldflags := $(shell dpkg-buildflags --get LDFLAGS)

build-arch: build
build-indep: build
build: build-stamp build-grep-stamp
build-stamp:
	dh_testdir
	rm -f build-stamp
	-chmod a+x configure
	MAKECFLAGS="$(cflags)" \
	MAKELDFLAGS="$(ldflags)" \
	CC='$(CC)' ./configure --prefix=/usr --enable-shared
	set -e; \
	if [ -z "$$LD_LIBRARY_PATH" ]; then \
	  LD_LIBRARY_PATH="$(CURDIR)/lib" $(MAKE); \
	else \
	  LD_LIBRARY_PATH="$(CURDIR)/lib:$$LD_LIBRARY_PATH" $(MAKE); \
	fi
	touch build-stamp

build-grep-stamp:
	dh_testdir
	rm -f build-grep-stamp
	cd vgrep-2.0 && CC='$(CC)' ./configure --prefix=/usr
	LD_LIBRARY_PATH=$${LD_LIBRARY_PATH:+$$LD_LIBRARY_PATH:}$(CURDIR)/lib \
	  $(MAKE) -C vgrep-2.0 \
		SHAPETOOLS=$(CURDIR) \
		MAKECFLAGS="$(cflags)" \
		MAKELDFLAGS="$(ldflags)"
	touch build-grep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	$(MAKE) clean
	$(MAKE) doclean
	$(MAKE) -C vgrep-2.0 -f Makefile.in distclean
	rm -f config.{cache,log,status} vgrep-2.0/config.{cache,log,status}
	-find src -name '*.so*' | xargs rm -f
	dh_clean

install: install-stamp first-move-stamp
install-stamp: build-stamp build-grep-stamp
	dh_testdir
	dh_testroot
	dh_prep
	mkdir -p $(foreach dir, $(dirs_shape), $(d)/$(dir))
	dh_installdirs -p$(p_shape) $(dirs_shape)
	dh_installdirs -p$(p_atfs) $(dirs_atfs)
	dh_installdirs -p$(p_atfslib) $(dirs_atfslib)
	dh_installdirs -p$(p_atfsdev) $(dirs_atfsdev)
	if [ -z "$$LD_LIBRARY_PATH" ]; then \
	  LD_LIBRARY_PATH=$(CURDIR)/lib \
	    $(MAKE) install INSTALLBASE=$(CURDIR)/$(d)/usr \
		INSTALLMANPATH=$(CURDIR)/$(d)/usr/share/man; \
	else \
	  LD_LIBRARY_PATH=$(CURDIR)/lib:$$LD_LIBRARY_PATH \
	    $(MAKE) install INSTALLBASE=$(CURDIR)/$(d)/usr \
		INSTALLMANPATH=$(CURDIR)/$(d)/usr/share/man; \
	fi
	( \
	  set -e; \
	  cd $(d)/usr/bin; \
	  ln -sf save Save; \
	  ln -sf save vsave; \
	  ln -sf vl vlog; \
	  ln -sf retrv vcat; \
	  for i in accs frze publ sbmt vattr vrm; do \
	    ln -sf vadm $$i; \
	  done; \
	)
	( \
	  set -e; \
	  cd $(d)/usr/share/man/man1; \
	  ln -sf save.1 Save.1; \
	  ln -sf save.1 vsave.1; \
	  ln -sf vl.1 vlog.1; \
	  ln -sf retrv.1 vcat.1; \
	  for i in accs frze publ sbmt vattr vrm; do \
	    ln -sf vadm.1 $$i.1; \
	  done; \
	)
	( \
	  set -e; \
	  cd $(d)/usr/share/man/man3; \
	  ln -sf af_attrs.3 af_allattrs.3; \
	  ln -sf af_attrs.3 af_freeattr.3; \
	  ln -sf af_attrs.3 af_freeattrbuf.3; \
	  ln -sf af_attrs.3 af_isstdval.3; \
	  ln -sf af_attrs.3 af_retattr.3; \
	  ln -sf af_attrs.3 af_retnumattr.3; \
	  ln -sf af_attrs.3 af_rettimeattr.3; \
	  ln -sf af_attrs.3 af_retuserattr.3; \
	  ln -sf af_attrs.3 af_setattr.3; \
	  ln -sf af_cache.3 af_cachesize.3; \
	  ln -sf af_cache.3 af_savecache.3; \
	  ln -sf af_error.3 af_cleanup.3; \
	  ln -sf af_error.3 af_errmsg.3; \
	  ln -sf af_error.3 af_errno.3; \
	  ln -sf af_error.3 af_perror.3; \
	  ln -sf af_files.3 af_close.3; \
	  ln -sf af_files.3 af_crkey.3; \
	  ln -sf af_files.3 af_establish.3; \
	  ln -sf af_files.3 af_open.3; \
	  ln -sf af_files.3 af_restore.3; \
	  ln -sf af_files.3 af_rm.3; \
	  ln -sf af_history.3 af_access.3; \
	  ln -sf af_history.3 af_histories.3; \
	  ln -sf af_lock.3 af_testlock.3; \
	  ln -sf af_lock.3 af_unlock.3; \
	  ln -sf af_misc.3 af_afname.3; \
	  ln -sf af_misc.3 af_afpath.3; \
	  ln -sf af_misc.3 af_aftype.3; \
	  ln -sf af_misc.3 af_afuser.3; \
	  ln -sf af_misc.3 af_setarchpath.3; \
	  ln -sf af_protect.3 af_chauthor.3; \
	  ln -sf af_protect.3 af_chmod.3; \
	  ln -sf af_protect.3 af_chowner.3; \
	  ln -sf af_retrieve.3 af_cachefind.3; \
	  ln -sf af_retrieve.3 af_dropall.3; \
	  ln -sf af_retrieve.3 af_dropkey.3; \
	  ln -sf af_retrieve.3 af_dropset.3; \
	  ln -sf af_retrieve.3 af_find.3; \
	  ln -sf af_retrieve.3 af_getkey.3; \
	  ln -sf af_retrieve.3 af_initattrs.3; \
	  ln -sf af_sets.3 af_copyset.3; \
	  ln -sf af_sets.3 af_diff.3; \
	  ln -sf af_sets.3 af_initset.3; \
	  ln -sf af_sets.3 af_intersect.3; \
	  ln -sf af_sets.3 af_nrofkeys.3; \
	  ln -sf af_sets.3 af_setaddkey.3; \
	  ln -sf af_sets.3 af_setgkey.3; \
	  ln -sf af_sets.3 af_setposrmkey.3; \
	  ln -sf af_sets.3 af_setrmkey.3; \
	  ln -sf af_sets.3 af_sortset.3; \
	  ln -sf af_sets.3 af_subset.3; \
	  ln -sf af_sets.3 af_union.3; \
	  ln -sf af_transact.3 af_abort.3; \
	  ln -sf af_transact.3 af_commit.3; \
	  ln -sf af_transact.3 af_transaction.3; \
	  ln -sf af_version.3 af_newgen.3; \
	  ln -sf af_version.3 af_saverev.3; \
	  ln -sf af_version.3 af_setbusy.3; \
	  ln -sf af_version.3 af_sstate.3; \
	  ln -sf af_version.3 af_svnum.3; \
	  ln -sf atattribute.3 atAllAttrs.3; \
	  ln -sf atattribute.3 atAttrName.3; \
	  ln -sf atattribute.3 atAttrValue.3; \
	  ln -sf atattribute.3 atFreeAttrs.3; \
	  ln -sf atattribute.3 atRetAttr.3; \
	  ln -sf atattribute.3 atSetAttr.3; \
	  ln -sf atbind.3 atBindCache.3; \
	  ln -sf atbind.3 atBindExpandMacro.3; \
	  ln -sf atbind.3 atBindModeOption.3; \
	  ln -sf atbind.3 atBindNoMsg.3; \
	  ln -sf atbind.3 atBindOptions.3; \
	  ln -sf atbind.3 atBindSet.3; \
	  ln -sf atbind.3 atBindSetArgv.3; \
	  ln -sf atbind.3 atBindTrace.3; \
	  ln -sf atbind.3 atBindUsage.3; \
	  ln -sf atbind.3 atBindVersion.3; \
	  ln -sf atbind.3 atScanBinding.3; \
	  ln -sf atbindrule.3 atBindAddRule.3; \
	  ln -sf atbindrule.3 atBindDelRule.3; \
	  ln -sf atbindrule.3 atBindDisplayErrors.3; \
	  ln -sf atbindrule.3 atBindListRules.3; \
	  ln -sf atbindrule.3 atBindRuleFile.3; \
	  ln -sf atbindrule.3 atBindShowRules.3; \
	  ln -sf atbindrule.3 atBindTestRule.3; \
	  ln -sf atcache.3 atCacheKey.3; \
	  ln -sf atcache.3 atSaveCache.3; \
	  ln -sf atclass.3 atFileClassExt.3; \
	  ln -sf atclass.3 atIsDerived.3; \
	  ln -sf atexpand.3 atExpand.3; \
	  ln -sf atexpand.3 atExpandAttrs.3; \
